// Licensed Materials - Property of IBM
// 5725-C96
// Copyright IBM Corporation 2009, 2011. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

var wshShell = WScript.createobject("WScript.Shell");
var fileObject = WScript.createobject("Scripting.FileSystemObject");

var startMenuLocation = wshShell.SpecialFolders("Programs");

var cmd = "%windir%\\system32\\cmd.exe";

var forReading = 1;
var tristateUseDefault = -2;
var f = fileObject.GetFile(${WBIROOT} + "\\properties\\version\\nif\\config.wbi\\script\\productShortCut2StartMenuWBI.txt");
var ts = f.OpenAsTextStream(forReading, tristateUseDefault);
var icounter = ts.ReadLine();
ts.Close();

var scounter;
if (icounter == 0)
      scounter = "";
else
      scounter = " (" + icounter + ")";
      

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM");

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter)))
      fileObject.CreateFolder(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter);

if (!(fileObject.FolderExists(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}");
            
if (!(fileObject.FolderExists(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}")))
      fileObject.CreateFolder(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}");

var objShellLinkAdministrativeConsole = wshShell.CreateShortcut(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}\\${ADMINCONSOLE}.lnk");      
var objShellLinkSamplesGallery = wshShell.CreateShortcut(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}\\${SAMPLE}.lnk");      
var objShellLinkFirstSteps = wshShell.CreateShortcut(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}\\${FIRSTSTEPS}.lnk");
var objShellLinkPerformanceAdminConsole = wshShell.CreateShortcut(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}\\${PERCONSOLE}.lnk");
var objShellLinkProcessAdminConsole = wshShell.CreateShortcut(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}\\${PACONSOLE}.lnk");        
var objShellLinkProcessCenterConsole = wshShell.CreateShortcut(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}\\${PCCONSOLE}.lnk");  
var objShellLinkProcessPortal = wshShell.CreateShortcut(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}\\${PORTAL}.lnk");
var objShellLinkStartServer = wshShell.CreateShortcut(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}\\${STARTSERVER}.lnk");
var objShellLinkStopServer = wshShell.CreateShortcut(startMenuLocation + "\\IBM\\BPM Express 7.5" + scounter + "\\${PROFILESDIR}\\${PROFILENAME}\\${STOPSERVER}.lnk");

//1: Activates and displays a window. If the window is minimized or maximized, the system restores it to its original size and position. 
//3: Activates the window and displays it as a maximized window.  
//7: Minimizes the window and activates the next top-level window. 
objShellLinkAdministrativeConsole.WindowStyle = 1;
objShellLinkSamplesGallery.WindowStyle = 1;
objShellLinkFirstSteps.WindowStyle = 7;
objShellLinkProcessCenterConsole.WindowStyle = 1;
objShellLinkStartServer.WindowStyle = 1;
objShellLinkStopServer.WindowStyle = 1;

var isPC = false;
var appFolder = fileObject.getFolder(${PROFILEROOT} + "\\config\\cells\\${CELLNAME}\\applications");
var fe = new Enumerator(appFolder.SubFolders);
for (; !fe.atEnd();fe.moveNext()){
  var subFolderName = fe.item().Name;
  if (subFolderName.indexOf("IBM_BPM_Repository_")==0) {
      isPC = true;
      break;
  }
}

if ( (fileObject.FolderExists(${PROFILEROOT} + "\\config\\cells\\${CELLNAME}\\applications\\isclite.ear") ) )
{
objShellLinkAdministrativeConsole.IconLocation = ${WBIROOT} + "\\bin\\icons\\console.ico";
	objShellLinkAdministrativeConsole.TargetPath = cmd;
objShellLinkAdministrativeConsole.Arguments = "/c start /b http://localhost:"+ ${CONSOLEPORT} +"/ibm/console";
objShellLinkAdministrativeConsole.Description = "${ADMINCONSOLE}";
objShellLinkAdministrativeConsole.Save(); //commit change
}

if (isPC) {
    // Business Performance Admin Console
    objShellLinkPerformanceAdminConsole.IconLocation = ${WBIROOT} + "\\bin\\icons\\console.ico";
    objShellLinkPerformanceAdminConsole.TargetPath = cmd;
    objShellLinkPerformanceAdminConsole.Arguments = "/c start /b http://localhost:"+ ${DEFAULTPORT} +"/PerformanceAdmin";
    objShellLinkPerformanceAdminConsole.Description = "${PERCONSOLE}";
    objShellLinkPerformanceAdminConsole.Save();  //commit change
}


if ( (fileObject.FolderExists(${PROFILEROOT} + "\\installedApps\\${CELLNAME}\\SamplesGallery.ear") ) )
{
      objShellLinkSamplesGallery.IconLocation = ${WBIROOT} + "\\bin\\icons\\samples.ico";
      objShellLinkSamplesGallery.TargetPath = cmd;
      objShellLinkSamplesGallery.Arguments = "/c start /b http://localhost:" + ${SAMPLEPORT} + "/WSsamples";
      objShellLinkSamplesGallery.Description = "${SAMPLE}";
      objShellLinkSamplesGallery.Save(); //commit change
}      

objShellLinkFirstSteps.IconLocation = ${WBIROOT} + "\\bin\\icons\\firststeps.ico";
objShellLinkFirstSteps.TargetPath = ${PROFILEROOT} + "\\firststeps\\bpmExp\\firststeps.bat";
objShellLinkFirstSteps.WorkingDirectory = ${PROFILEROOT} + "\\firststeps\\bpmExp";
objShellLinkFirstSteps.Description = "${FIRSTSTEPS}";
objShellLinkFirstSteps.Save(); //commit change

if (isPC) {
    // Process Admin Console
    objShellLinkProcessAdminConsole.IconLocation = ${WBIROOT} + "\\bin\\icons\\console.ico";
    objShellLinkProcessAdminConsole.TargetPath = cmd;
    objShellLinkProcessAdminConsole.Arguments = "/c start /b http://localhost:"+ ${DEFAULTPORT} +"/ProcessAdmin";
    objShellLinkProcessAdminConsole.Description = "${PACONSOLE}";
    objShellLinkProcessAdminConsole.Save();  //commit change
    
    // Process Center Console
    objShellLinkProcessCenterConsole.IconLocation = ${WBIROOT} + "\\bin\\icons\\console.ico";
    objShellLinkProcessCenterConsole.TargetPath = cmd;
    objShellLinkProcessCenterConsole.Arguments = "/c start /b http://localhost:"+ ${DEFAULTPORT} +"/ProcessCenter";
    objShellLinkProcessCenterConsole.Description = "${PCCONSOLE}";
    objShellLinkProcessCenterConsole.Save();  //commit change
    
    // Process Portal
    objShellLinkProcessPortal.IconLocation = ${WBIROOT} + "\\bin\\icons\\console.ico";
    objShellLinkProcessPortal.TargetPath = cmd;
    objShellLinkProcessPortal.Arguments = "/c start /b http://localhost:"+ ${DEFAULTPORT} +"/portal";
    objShellLinkProcessPortal.Description = "${PORTAL}";
    objShellLinkProcessPortal.Save();  //commit change 
}

objShellLinkStartServer.IconLocation = ${WBIROOT} + "\\bin\\icons\\start_server.ico";
objShellLinkStartServer.TargetPath = ${PROFILEROOT} + "\\bin\\startserver.bat";
objShellLinkStartServer.Arguments = "${SERVERNAME}";
objShellLinkStartServer.WorkingDirectory = ${PROFILEROOT} + "\\bin";
objShellLinkStartServer.Description = "${STARTSERVER}";
objShellLinkStartServer.Save(); //commit change

objShellLinkStopServer.IconLocation = ${WBIROOT} + "\\bin\\icons\\server_stopped.ico";
objShellLinkStopServer.TargetPath = ${PROFILEROOT} + "\\bin\\stopserver.bat";
objShellLinkStopServer.Arguments = "${SERVERNAME}";
objShellLinkStopServer.WorkingDirectory = ${PROFILEROOT} + "\\bin";
objShellLinkStopServer.Description = "${STOPSERVER}";
objShellLinkStopServer.Save(); //commit change
